package at.hl.okb.wsclient;

import at.hl.wsclient.okb.NamedOKBItem;

import com.google.common.base.Predicate;

class Utilities {
	
	private static class NameFilter implements Predicate<NamedOKBItem>
	{
		private final String name;
		
		public NameFilter(String name)
		{
			this.name = name;
		}
		
		@Override
		public boolean apply(NamedOKBItem arg0) {
			return arg0.getName().getValue().equals(name);		
		}
	}
	
	public static Predicate<NamedOKBItem> createNameFilter(String name)
	{
		return new NameFilter(name);
	}
	
	private Utilities()
	{
		
	}
	
	
}
